> ## Documentation Index
> Fetch the complete documentation index at: https://multiwoven-74-feature--update-docker-compose-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles

> Retrieves a list of all roles available.



## OpenAPI

````yaml GET /enterprise/api/v1/roles
openapi: 3.0.1
info:
  title: AI Squared API
  version: 1.0.0
servers:
  - url: https://api.squared.ai
security: []
paths:
  /enterprise/api/v1/roles:
    get:
      tags:
        - Roles
      summary: List of All roles
      description: Retrieves a list of all roles available.
      operationId: getRoles
      responses:
        '200':
          description: A JSON array of roles
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the role
                          example: '1'
                        type:
                          type: string
                          description: Type of the resource
                          example: roles
                        attributes:
                          type: object
                          properties:
                            role_name:
                              type: string
                              description: Name of the role
                              example: Admin
                            role_desc:
                              type: string
                              description: Description of the role
                              example: >-
                                An Admin can add and manage Sources,
                                Destinations, Models, Syncs, and Workspaces.
                            policies:
                              type: object
                              properties:
                                permissions:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      read:
                                        type: boolean
                                        example: true
                                      create:
                                        type: boolean
                                        example: true
                                      delete:
                                        type: boolean
                                        example: true
                                      update:
                                        type: boolean
                                        example: true
                            updated_at:
                              type: string
                              format: date-time
                              description: Timestamp of the last update
                              example: '2024-08-01T10:03:39.086Z'
                            created_at:
                              type: string
                              format: date-time
                              description: Timestamp of creation
                              example: '2024-08-01T10:03:39.021Z'
        '404':
          description: Roles not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Roles not found
                  status:
                    type: string
                    example: not_found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````